1)、下载
sudo wget http://nginx.org/download/nginx-1.2.2.tar.gz
2)、解压
sudo tar -xzvf nginx-1.2.2.tar.gz
3)、进入相关目录进行以下操作
复制代码代码如下:
./configure
make
sudo make install
如果你运气好的话,一切ok,不过...........哈哈。Ubuntu默认的策略是什么库都不装,依赖的库都需要自已手工安装搞定。 一般都会出错的,那么我们来看看可能出现的问题。
4)、常见问题解决办法
缺少pcre library
./configure: error: the HTTP rewrite module requires the PCRE library. You can either disable the module by using --without-http_rewrite_module option, or install the PCRE library into the system, or build the PCRE library statically from the source with nginx by using --with-pcre=<path> option.
解决方法:下载安装pcre-8.31解决问题,解压后对pcre进行如下操作
复制代码代码如下:
sudo wget ftp://ftp.csx.cam.ac.uk/pub/software/programming/pcre/pcre-8.31.tar.gz
sudo tar -xzvf pcre-8.31.tar.gz
cd /usr/local/src/pcre-8.31
./configure
make
sudo make install
运气好一次通过,运气不好,make pcre时会出错
缺少gcc-c++和libtool,也就是c++编译包
复制代码代码如下:
libtool: compile: unrecognized option `-DHAVE_CONFIG_H'
libtool: compile: Try `libtool --help' for more information.
make[1]: *** [pcrecpp.lo] Error 1
make[1]: Leaving directory `/usr/local/src//pcre-8.31'
make: *** [all] Error 2root@wolfdog-virtual-machine:~/work/pcre-8.12$ libtool -help -DHAVE_CONFIG_H
The program 'libtool' is currently not installed. You can install it by typing:
sudo apt-get install libtool
解决方法:需要先安装libtool和gcc-c++
?sudo apt-get install libtool
sudo apt-get install gcc-c++
大爷啊~~~这时候可能又会报错啊,坑爹啊~~~
缺少openssl库
复制代码代码如下:
./configure: error: the HTTP cache module requires md5 functions
from OpenSSL library. You can either disable the module by using
--without-http-cache option, or install the OpenSSL library into the system,
or build the OpenSSL library statically from the source with nginx by using
--with-http_ssl_module --with-openssl=<path> options.
缺少zlib库
复制代码代码如下:
./configure: error: the HTTP gzip module requires the zlib library.
You can either disable the module by using --without-http_gzip_module
option, or install the zlib library into the system, or build the zlib library
statically from the source with nginx by using --with-zlib=<path> option.
解决办法:少什么就安装什么呗。
sudo apt-get install openssl libssl-dev libperl-dev
4)、解决了以上问题,编译nginx就没啥问题了。下面安装。(附加安装插件的方法)
先下载插件并解压
复制代码代码如下:
sudo wget https://github.com/agentzh/echo-nginx-module/tarball/v0.40rc1 -O echo-nginx-module.tar.gz
sudo wget https://nodeload.github.com/agentzh/memc-nginx-module/tarball/v0.13rc3 -O memc-nginx-module.tar.gz
sudo tar -xzvf echo-nginx-module.tar.gz
sudo tar -xzvf memc-nginx-module.tar.gz
进入nginx目录cd nginx-1.2.2/,执行以下命令
复制代码代码如下:
./configure --user=www-data --group=www-data --with-debug --with-http_gzip_static_module --with-http_ssl_module --with-pcre=../pcre-8.31/ --with-http_perl_module --with-perl=/usr/bin/perl --with-http_stub_status_module --with-http_realip_module \
--prefix=/usr/local/nginx \
--add-module=../agentzh-echo-nginx-module-9259898/ \
--add-module=../agentzh-memc-nginx-module-4007350/ \
注:前面一段是一些编译参数,后面add-module是添加模块
make -j2
make install
大爷的,又可能报错。没有nginx,logs目录访问权限
复制代码代码如下:
[alert]: could not open error log file: open() "/usr/local/nginx/logs/error.log" failed (13: Permission denied)
2011/03/21 06:09:33 [emerg] 24855#0: mkdir() "/usr/local/nginx/client_body_temp" failed (13: Permission denied)
解决办法:
复制代码代码如下:
sudo chmod a+rwx -R logs
sudo chmod a+rwx -R /usr/local/nginx
现在,差不多没问题了。
可以进入/usr/local/nginx/sbin/执行以下命令看是否成功:
nginx -v
5)、nginx自启动
编辑启动脚本:
复制代码代码如下:
sudo vim /etc/init.d/nginx
复制代码代码如下:
#! /bin/bash
#
# nginx Start up the nginx server daemon
#
# chkconfig: 2345 55 25
# Description: starts and stops the nginx web server
#
### BEGIN INIT INFO
# Provides: nginx
# Required-Start: $all
# Required-Stop: $all
# Default-Start: 2 3 4 5
# Default-Stop: 0 1 6
# Description: starts and stops the nginx web server
### END INIT INFO
# To install:
# copy this file to /etc/init.d/nginx
# shell> chkconfig --add nginx (RedHat)
# shell> update-rc.d -f nginx defaults (debian)
# To uninstall:
# shell> chkconfig --del nginx (RedHat)
# shell> update-rc.d -f nginx remove
PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin
NAME=nginx
DAEMON=/usr/local/nginx/sbin/$NAME
CONFIGFILE=/usr/local/nginx/conf/$NAME.conf
PIDFILE=/var/local/nginx/logs/$NAME.pid
ULIMIT=10240
set -e
[ -x "$DAEMON" ] || exit 0
do_start() {
echo "Starting $NAME ..."
ulimit -SHn $ULIMIT
$DAEMON -c $CONFIGFILE
}
do_stop() {
echo "Shutting down $NAME ..."
kill 'cat $PIDFILE'
}
do_reload() {
echo "Reloading $NAME ..."
kill -HUP 'cat $PIDFILE'
}
case "$1" in
start)
[ ! -f "$PIDFILE" ] && do_start || echo "nginx already running"
echo -e ".\ndone"
;;
stop)
[ -f "$PIDFILE" ] && do_stop || echo "nginx not running"
echo -e ".\ndone"
;;
restart)
[ -f "$PIDFILE" ] && do_stop || echo "nginx not running"
do_start
echo -e ".\ndone"
;;
reload)
[ -f "$PIDFILE" ] && do_reload || echo "nginx not running"
echo -e ".\ndone"
;;
*)
N=/etc/init.d/$NAME
echo "Usage: $N {start|stop|restart|reload}" >&2
exit 1
;;
esac
exit 0
红色部分,根据自己的路径修改。
6)、常用命令
重启nginx:service nginx restart
启动:service nginx start
关闭:service nginx stop
7)、linux常用命令
tar(z-用 gzip 对存档压缩或解压;x-从存档展开文件;v-详细显示处理的文件;f-指定存档或设备)
tar –zxvf nginx-0.8.54.tar.gz
ip查看
ifconfig
编译
make
安装编译好的源码包
make install
编辑文件
sudo gedit /etc/profile
修改根限:chmod说明(u:与文件属主拥有一样的权限[a:所有人];+:增加权限;rwx:可读可写可执行)
-R:递归所有目录和文件
sudo chmod a+rwx -R logs
检查是库是否安装成功
dpkg --list|grep openssl
下载安装库
sudo apt-get install libtool
检查服务启动是否正常
ps -ef|grep
查找openssl安装路径
whereis openssl
更新源
sudo apt-get update
更新已安装的包
sudo apt-get upgrade
sudo wget http://nginx.org/download/nginx-1.2.2.tar.gz
2)、解压
sudo tar -xzvf nginx-1.2.2.tar.gz
3)、进入相关目录进行以下操作
复制代码代码如下:
./configure
make
sudo make install
如果你运气好的话,一切ok,不过...........哈哈。Ubuntu默认的策略是什么库都不装,依赖的库都需要自已手工安装搞定。 一般都会出错的,那么我们来看看可能出现的问题。
4)、常见问题解决办法
缺少pcre library
./configure: error: the HTTP rewrite module requires the PCRE library. You can either disable the module by using --without-http_rewrite_module option, or install the PCRE library into the system, or build the PCRE library statically from the source with nginx by using --with-pcre=<path> option.
解决方法:下载安装pcre-8.31解决问题,解压后对pcre进行如下操作
复制代码代码如下:
sudo wget ftp://ftp.csx.cam.ac.uk/pub/software/programming/pcre/pcre-8.31.tar.gz
sudo tar -xzvf pcre-8.31.tar.gz
cd /usr/local/src/pcre-8.31
./configure
make
sudo make install
运气好一次通过,运气不好,make pcre时会出错
缺少gcc-c++和libtool,也就是c++编译包
复制代码代码如下:
libtool: compile: unrecognized option `-DHAVE_CONFIG_H'
libtool: compile: Try `libtool --help' for more information.
make[1]: *** [pcrecpp.lo] Error 1
make[1]: Leaving directory `/usr/local/src//pcre-8.31'
make: *** [all] Error 2root@wolfdog-virtual-machine:~/work/pcre-8.12$ libtool -help -DHAVE_CONFIG_H
The program 'libtool' is currently not installed. You can install it by typing:
sudo apt-get install libtool
解决方法:需要先安装libtool和gcc-c++
?sudo apt-get install libtool
sudo apt-get install gcc-c++
大爷啊~~~这时候可能又会报错啊,坑爹啊~~~
缺少openssl库
复制代码代码如下:
./configure: error: the HTTP cache module requires md5 functions
from OpenSSL library. You can either disable the module by using
--without-http-cache option, or install the OpenSSL library into the system,
or build the OpenSSL library statically from the source with nginx by using
--with-http_ssl_module --with-openssl=<path> options.
缺少zlib库
复制代码代码如下:
./configure: error: the HTTP gzip module requires the zlib library.
You can either disable the module by using --without-http_gzip_module
option, or install the zlib library into the system, or build the zlib library
statically from the source with nginx by using --with-zlib=<path> option.
解决办法:少什么就安装什么呗。
sudo apt-get install openssl libssl-dev libperl-dev
4)、解决了以上问题,编译nginx就没啥问题了。下面安装。(附加安装插件的方法)
先下载插件并解压
复制代码代码如下:
sudo wget https://github.com/agentzh/echo-nginx-module/tarball/v0.40rc1 -O echo-nginx-module.tar.gz
sudo wget https://nodeload.github.com/agentzh/memc-nginx-module/tarball/v0.13rc3 -O memc-nginx-module.tar.gz
sudo tar -xzvf echo-nginx-module.tar.gz
sudo tar -xzvf memc-nginx-module.tar.gz
进入nginx目录cd nginx-1.2.2/,执行以下命令
复制代码代码如下:
./configure --user=www-data --group=www-data --with-debug --with-http_gzip_static_module --with-http_ssl_module --with-pcre=../pcre-8.31/ --with-http_perl_module --with-perl=/usr/bin/perl --with-http_stub_status_module --with-http_realip_module \
--prefix=/usr/local/nginx \
--add-module=../agentzh-echo-nginx-module-9259898/ \
--add-module=../agentzh-memc-nginx-module-4007350/ \
注:前面一段是一些编译参数,后面add-module是添加模块
make -j2
make install
大爷的,又可能报错。没有nginx,logs目录访问权限
复制代码代码如下:
[alert]: could not open error log file: open() "/usr/local/nginx/logs/error.log" failed (13: Permission denied)
2011/03/21 06:09:33 [emerg] 24855#0: mkdir() "/usr/local/nginx/client_body_temp" failed (13: Permission denied)
解决办法:
复制代码代码如下:
sudo chmod a+rwx -R logs
sudo chmod a+rwx -R /usr/local/nginx
现在,差不多没问题了。
可以进入/usr/local/nginx/sbin/执行以下命令看是否成功:
nginx -v
5)、nginx自启动
编辑启动脚本:
复制代码代码如下:
sudo vim /etc/init.d/nginx
复制代码代码如下:
#! /bin/bash
#
# nginx Start up the nginx server daemon
#
# chkconfig: 2345 55 25
# Description: starts and stops the nginx web server
#
### BEGIN INIT INFO
# Provides: nginx
# Required-Start: $all
# Required-Stop: $all
# Default-Start: 2 3 4 5
# Default-Stop: 0 1 6
# Description: starts and stops the nginx web server
### END INIT INFO
# To install:
# copy this file to /etc/init.d/nginx
# shell> chkconfig --add nginx (RedHat)
# shell> update-rc.d -f nginx defaults (debian)
# To uninstall:
# shell> chkconfig --del nginx (RedHat)
# shell> update-rc.d -f nginx remove
PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin
NAME=nginx
DAEMON=/usr/local/nginx/sbin/$NAME
CONFIGFILE=/usr/local/nginx/conf/$NAME.conf
PIDFILE=/var/local/nginx/logs/$NAME.pid
ULIMIT=10240
set -e
[ -x "$DAEMON" ] || exit 0
do_start() {
echo "Starting $NAME ..."
ulimit -SHn $ULIMIT
$DAEMON -c $CONFIGFILE
}
do_stop() {
echo "Shutting down $NAME ..."
kill 'cat $PIDFILE'
}
do_reload() {
echo "Reloading $NAME ..."
kill -HUP 'cat $PIDFILE'
}
case "$1" in
start)
[ ! -f "$PIDFILE" ] && do_start || echo "nginx already running"
echo -e ".\ndone"
;;
stop)
[ -f "$PIDFILE" ] && do_stop || echo "nginx not running"
echo -e ".\ndone"
;;
restart)
[ -f "$PIDFILE" ] && do_stop || echo "nginx not running"
do_start
echo -e ".\ndone"
;;
reload)
[ -f "$PIDFILE" ] && do_reload || echo "nginx not running"
echo -e ".\ndone"
;;
*)
N=/etc/init.d/$NAME
echo "Usage: $N {start|stop|restart|reload}" >&2
exit 1
;;
esac
exit 0
红色部分,根据自己的路径修改。
6)、常用命令
重启nginx:service nginx restart
启动:service nginx start
关闭:service nginx stop
7)、linux常用命令
tar(z-用 gzip 对存档压缩或解压;x-从存档展开文件;v-详细显示处理的文件;f-指定存档或设备)
tar –zxvf nginx-0.8.54.tar.gz
ip查看
ifconfig
编译
make
安装编译好的源码包
make install
编辑文件
sudo gedit /etc/profile
修改根限:chmod说明(u:与文件属主拥有一样的权限[a:所有人];+:增加权限;rwx:可读可写可执行)
-R:递归所有目录和文件
sudo chmod a+rwx -R logs
检查是库是否安装成功
dpkg --list|grep openssl
下载安装库
sudo apt-get install libtool
检查服务启动是否正常
ps -ef|grep
查找openssl安装路径
whereis openssl
更新源
sudo apt-get update
更新已安装的包
sudo apt-get upgrade
标签:
Ubuntu,nginx
免责声明:本站文章均来自网站采集或用户投稿,网站不提供任何软件下载或自行开发的软件!
如有用户或公司发现本站内容信息存在侵权行为,请邮件告知! 858582#qq.com
白云城资源网 Copyright www.dyhadc.com
暂无“Ubuntu下安装nginx的步骤分享”评论...
更新日志
2024年11月01日
2024年11月01日
- 魔兽世界永久60级哪个职业最强 魔兽世界永久60级职业推荐
- 上海Major赛事专属版显示器首次亮相PNL高校决赛
- 寻找中国“龙” 感受乐元素的“科普力”
- 雷克沙闪耀西甲!亮相皇马VS巴萨国家德比场边广告
- 汪明荃.1980-渺渺情(2019年娱乐宝典原音重现系列)【娱乐唱片】【WAV+CUE】
- 群星.1994-宝丽金原创专辑【宝丽金】【WAV+CUE】
- 薛之谦.2018-怪咖【海蝶】【WAV+CUE】
- 吴桐《美丽花期》[正版原抓WAV+CUE]
- 【原声大碟】天地王者-出埃及记【FLAC】
- 陈粒2019-洄游【WAV分轨】
- 刘锐/王星《牧者影视配乐精选·壹》[320K/MP3][87.15MB]
- 刘锐/王星《牧者影视配乐精选·壹》[FLAC/分轨][205.55MB]
- 刘锐/王星《牧者影视配乐精选·贰》[320K/MP3][89.33MB]
- 《王国:两位君主》DLC“奥林匹斯的召唤”评测
- 《舞力全开2025》评测:育碧今年最强之作